Skip to main content
`Ctrl`+`K`

# PetscDualSpaceLagrangeSetNodeType

Set a description of how nodes are laid out for Lagrange polynomials in this dual space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceLagrangeSetNodeType(PetscDualSpace sp, PetscDTNodeType nodeType, PetscBool boundary, PetscReal exponent)

Logically Collective

## Input Parameters

- sp - The `PetscDualSpace`

- nodeType - The type of nodes

- boundary - Whether the node type is one that includes endpoints (if nodeType is `PETSCDTNODES_GAUSSJACOBI`, nodes that include the boundary are Gauss-Lobatto-Jacobi nodes)

- exponent - If nodeType is `PETSCDTNODES_GAUSSJACOBI`, indicates the exponent used for both ends of the 1D Jacobi weight function ‘0’ is Gauss-Legendre, ‘-0.5’ is Gauss-Chebyshev of the first type, ‘0.5’ is Gauss-Chebyshev of the second type

## See Also

`PETSCDUALSPACELAGRANGE`, `PetscDualSpace`, `PetscDTNodeType`, `PetscDualSpaceLagrangeGetNodeType()`

## Level

advanced

## Location

src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c

## Implementations

PetscDualSpaceLagrangeSetNodeType_Lagrange() in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceLagrangeSetNodeType_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages